<?php
    include('config.php');
	
	$targetpage = "record.php"; 	//your file name  (the name of this file)
	$page = $_POST['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0


	
	
 	$q = $conn->real_escape_string($_POST['q']);
	$f1 = $_POST['f1'];
	
	if($f1==99){$query_f1 = " ";}
	if($f1==0){$query_f1 = " AND cust_type = 0";}
	if($f1==1){$query_f1 = " AND cust_type = 1";}
	
   $query_string = " FROM mst_customer WHERE 
   				(cust_name LIKE '%$q%' or cust_phoneno LIKE '%$q%' or cust_email LIKE '%$q%' or cust_addr LIKE '%$q%') $query_f1";
   
   	$sum_sql = "SELECT COUNT(*) as num $query_string";
	$conn_sum_sql = $conn->query($sum_sql);
	$pagenum = $conn_sum_sql->fetch_assoc();
	$total_pages = $pagenum["num"];
   
  	include ("../../sys/paging.php");
 
   	$sql = "SELECT * $query_string ORDER BY cust_name ASC LIMIT $start,$limit";
	$sql_con = $conn->query($sql) or die($sql);

?>
<div class="rec_wrapper">
    <table class="table-striped table-hover table-bordered table table-condensed">
    <thead>
    	<tr class="bold">
    		<td>Customer Name</td>
			<td>Email</td>
			<td style="width:250px;">Address</td>
			<td>Phone No</td>
        	<td>Contact Name</td>
            <td style="width:70px;"></td>
        </tr>
        </thead>
		<tbody>
        <?php
		$i = 0;
			while($rs = $sql_con->fetch_assoc()){
				
				if($rs['cust_type']==0){
					$tipe = "Reguler";
					}
				else{
					$tipe = "Reseler";
					}
	?>
        <tr class="rec_body">
        	<td><?php echo $rs['cust_name']?></td>
            <td><?php echo $rs['cust_email']?></td>
            <td><?php echo substr($rs['cust_addr'],0,100)?>...</td>
			<td><?php echo $rs['cust_phoneno']?></td>
			<td><?php echo $rs['cust_pic']?></td>
            <td class="tc">
				<a href="edit?id=<?php echo $rs['cust_autoid']?>" class="link_judul">
                <img src="../../image/edit.png" title="Lihat Profil" class="icon"/></a>
            </td>         
        </tr>
	<?php 
	$i = $i + 1;
	} 
	if($i==0){
		?>
        
        <tr class="rec_body">
        	<td colspan="10" style="height:400px;" class="tc"><h4>Belum Ada Data Customer</h4></td>       
        </tr>
	<?php	} ?>
</tbody>
    </table>
    </div>
    <div class="record_footer">
            <table class="tbl">
        	<tr class="pad5">
            	<td colspan="5" class="tl pad5" style="border:none"><?php echo $pagination?></td>
                <td colspan="4" class="tr pad5 bold" style="border:none;color:#333">Jumlah <?php echo $total_pages?> Customer</td>
            </tr>
        </table>
    </div>
